File gcutilHideDeps.patch of Package google-cloud-sdk

Index: google-cloud-sdk-0.9.16/platform/gcutil/setup.py
===================================================================
--- google-cloud-sdk-0.9.16.orig/platform/gcutil/setup.py
+++ google-cloud-sdk-0.9.16/platform/gcutil/setup.py
@@ -22,19 +22,19 @@ except ImportError:
 
 ROOT = os.path.dirname(os.path.realpath(__file__))
 
-REQUIREMENTS = [
-    'google-api-python-client==1.2',
-    'google-apputils==0.4.0',
-    'httplib2==0.8',
-    'ipaddr==2.1.10',
-    'iso8601==0.1.4',
-    'python-gflags==2.0'
-]
-
-try:
-  import argparse
-except ImportError:
-  REQUIREMENTS.append('argparse==1.2.1')
+#REQUIREMENTS = [
+#    'google-api-python-client==1.2',
+#    'google-apputils==0.4.0',
+#    'httplib2==0.8',
+#    'ipaddr==2.1.10',
+#    'iso8601==0.1.4',
+#    'python-gflags==2.0'
+#]
+
+#try:
+#  import argparse
+#except ImportError:
+#  REQUIREMENTS.append('argparse==1.2.1')
 
 
 def GetVersion():
@@ -52,7 +52,7 @@ if __name__ == '__main__':
       author='Google',
       author_email='gc-team@google.com',
       version=GetVersion(),
-      install_requires=REQUIREMENTS,
+#      install_requires=REQUIREMENTS,
       packages=['gcutil_lib', 'gcutil_lib.table'],
       package_dir={
           '': os.path.join('lib', 'google_compute_engine'),